package com.ruoyi.ss.order.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.ss.orderOper.domain.OrderOper;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderVO extends Order {

    /** 用户名*/
    private String userName;

    /** 姓名*/
    private String realName;

    /** 租车周期描述 */
    private String rentalPeriodText;

    /** 店铺地址 */
    private String storeAddress;

    /** 代理商 */
    private String agentName;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 套餐 */
    private FeeRuleVO rule;

    /** 操作履历 */
    private List<OrderOper> orderOpers;

    /** 可退款金额 */
    private BigDecimal refundableTotalAmount;

    private BigDecimal refundableDispatchFee;  // 调度费

    private BigDecimal refundableDeliveryFee;  // 配送费

    private BigDecimal refundableLeaseFee;  // 租赁费（骑行费）

    private BigDecimal refundableDeposit;  // 押金

}
